import java.awt.Color;
import info.gridworld.actor.*;

public class Dice extends Actor
{
 private Color color;
 private boolean locked;
 private boolean hold;
 private int value;
 public Dice()
 {
    locked = false;
    hold = false;
    this.color = Color.WHITE;
    value=0;
 }

 public Color getColor()
 {
      return color;
 }

 public void setColor(Color color)
 {
      this.color = color;
 }
 public int getValue()
 {
      return value;
 }

 public void setValue(int value)
 {
      this.value = value;
 }
 
 public void lock()
 {
        locked = true;
        this.color=Color.RED;
 }
 public void select()
 {
        if (!locked) hold = !hold;
        if (hold || locked) this.color=Color.RED;
        else this.color=Color.WHITE;
 }
 public boolean isLocked()
 {
     return locked;
 }
 public boolean isHeld()
 {
     return hold;
 }
}